Şifre işlemleri
Şifre değişimi işlemleri ayrıntılarını içerir. Kullanıcılar şifre değiştirirken şifre hash geçmişi ile karşılaştırma yapılır ve son 2(aktif olan ve bir önceki) şifrelerinden farklı bir şifre belirlemeleri sağlanır.
Şifremi unuttum
İki kısımdan oluşur POST /auth/password/reset ile 2FA akışı başlatılır. Kullanıcıdan en az 2 doğrulama(SMS, MAIL) alındıktan sonra şifre değişiminde kullanılması için özel olarak üretilen ot-auth token verilir. ot-auth ile POST /auth/password/update çağırılır ve şifre değişimi tamamlanır.
Şifre güncelleme için token al
Telefon numarası bilgileri alınır ve 2FA süreci başlatılır. Başarılı sonuçlanması durumunda ot-auth döner.
Authentication
public + 2FA
HTTP Request
POST /auth/password/reset
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
countryCode | string | true | - | Country code |
phoneNumber | string | true | - | Phone number |
Response Headers
Aksiyon tamamlandığında POST /auth/password/update endpoint'inde kullanılmak üzere üretilmiş bir ot-auth döner.
Response Body Example
{
"challenge": {
"challengeId": "GJevobyGoaP9HB4R",
"ts": 1754553529150,
"status": "PENDING",
"expire": 600,
"methodList": [
{
"id": "YVgM",
"name": "MAIL",
"expire": 120,
"renewStart": 60,
"hint": "m***l@gmail.com"
},
{
"id": "WZ5Q",
"name": "SMS",
"expire": 120,
"renewStart": 60,
"hint": "***6063"
}
]
}
}
2FA complete response
{
"action": "RESET_PASSWORD",
"challengeId": "GJevobyGoaP9HB4R",
"execResult": {
"success": true
}
}
Şifre güncelle
Şifremi unuttum akışının bir parçası olarak yeni şifre belirlenir.
Authentication
ot-auth
HTTP Request
POST /auth/password/update
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
password | string | true | - | Yeni şifre |
passwordVerify | string | true | - | Yeni şifrenin tekrar istendiği alan |
Giriş yapılı iken şifre güncelle
Giriş yaptıktan sonra profilden şifre değiştirme olanağı sağlayan endpoint'tir. Şifremi unuttum'dan farklı olarak yeni şifre başlangıçta alınır ve 2FA akışı tamamlandığında şifre değişmiş olur. Kullanıcıdan eski şifresi ve yeni şifresini girmesi istenir.
Authentication
x-auth + 2FA
HTTP Request
POST /auth/password
Request Parameters
| Field | Type | Required | Default | Desc |
|---|---|---|---|---|
password | string | true | - | Yeni şifre |
passwordVerify | string | true | - | Yeni şifrenin tekrar istendiği alan |
oldPassword | string | true | - | Aktif kullanımda olan şifre |
Response Body Example
{
"challenge": {
"challengeId": "g7VMR3Bxi6BBZESY",
"ts": 1754553529150,
"status": "PENDING",
"expire": 600,
"methodList": [
{
"id": "1KWD",
"name": "MAIL",
"expire": 120,
"renewStart": 60,
"hint": "m***l@gmail.com"
},
{
"id": "vZmB",
"name": "SMS",
"expire": 120,
"renewStart": 60,
"hint": "***6063"
}
]
}
}
2FA complete response
{
"action": "UPDATE_PASSWORD",
"challengeId": "g7VMR3Bxi6BBZESY",
"execResult": {
"success": true
}
}